VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "DPC_Error"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private Const SEP = "®©"
Private Const C_SEP As String = "@@"
Private Const SEP1 As String = "®"
Private Const SEP2 As String = "©"

Public ERR_ID As Long
Public LEV_Id As Long
Public MsgId As Long
Public ERR_Crit As Boolean
Public ERR_Ctrl As String
Public ERR_Offer As Boolean
Public Message_Text As String
Public ERR_Type As Long
Public TXT_Tag As String
Public Language_Code As String
Public TXT_Text As String
Public ERR_Screen As eDPCScreen
Public Tag As Object

Public RowStatus As eDPCRowStatus

Private mo_Tools As DPC_Tools

Public Property Set Tools(ByRef ao_Tools As Object)
On Error GoTo errorHandler

  Set mo_Tools = ao_Tools
  Exit Property
errorHandler:
  Call errorHandler("Tools.Set")
End Property

Public Sub CopyFrom(ByVal ao_Error As DPC_Error)
On Error GoTo ErrHandler

  ERR_ID = ao_Error.ERR_ID
  LEV_Id = ao_Error.LEV_Id
  MsgId = ao_Error.MsgId
  ERR_Crit = ao_Error.ERR_Crit
  ERR_Ctrl = ao_Error.ERR_Ctrl
  ERR_Offer = ao_Error.ERR_Offer
  Message_Text = ao_Error.Message_Text
  ERR_Type = ao_Error.ERR_Type
  TXT_Tag = ao_Error.TXT_Tag
  Language_Code = ao_Error.Language_Code
  TXT_Text = ao_Error.TXT_Text
  ERR_Screen = ao_Error.ERR_Screen
  Exit Sub
ErrHandler:
  Call errorHandler("CopyFrom")
End Sub

' Standard error handler
Private Sub errorHandler(ByVal as_Fct As String)
  
    Call Err.Raise(Err.Number, as_Fct & SEP1 & Err.Source, Err.Description)
End Sub

